package scheduler

type Runner int

const (
	Bash Runner = iota + 1
)

func (r Runner) String() string {
	switch r {
	case Bash:
		return "bash"
	default:
		return ""
	}
}

func NewRunner(s string) Runner {
	for _, r := range []Runner{
		Bash,
	} {
		if r.String() == s {
			return r
		}
	}
	return 0
}
